% Op stuff.
% Basically, kicks and things.

add_cmnd("kick");
define command_KICK(param)
{
   variable channel, user, reason;
   
   (user, reason) = v_split(param, " ");
   
   if(strspn(user,"#&"))
     {
	channel = user;
	(user, reason) = v_split(reason, " ");
     }
   else
     {
	channel = irc_target;
     }
   
   irc_send_string(sprintf("KICK %s %s :%s\r\n", channel, user, reason));
}

add_cmnd("topic");
define command_TOPIC(param)
{
   variable channel, topic = NullString, change;
   
   channel = irc_target;
   param=strtrim(param);
   if(strspn(param, "#&"))
     {
	% Have a channel, any topic?
	(channel, topic) = v_split(param, " ");
	topic = strtrim(topic);
     }
   
   if(topic != NullString)
     {
	% Setting topic.
	irc_send_string(sprintf("TOPIC %s :%s\r\n", channel, topic));
     }
   else
     {
	% Reading topic.
	irc_send_string(sprintf("TOPIC %s\r\n", channel));
     }
}
